| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | Protected Attributes | Friends | List of all members
JobInfo Class Reference
MMProc

All information on a job. More...

`#include <jobinfo.h>`

## Public Types
enum | State { ToDo , Scheduled , Preparing , Working , WrappingUp , Paused , Completed , JobFailed , HostFailed }

## Public Member Functions
| JobInfo (int dnr)
| ~JobInfo ()

## Public Attributes
int | descnr_
| JobdescProv's job number.
const HostData * | hostdata_ = nullptr
| Host currently working on job.
int | hstfailures_ = 0
| Failures probably caused by host.
BufferString | infomsg_
| Error msg if failure.
int | jobfailures_ = 0
| Failures probably caused by job.
int | nrdone_ = -1
int | osprocid_ = -1
| OS process ID.
State | state_ = ToDo
BufferString | statusmsg_ = "Scheduled"

## Protected Attributes
od_int64 | recvtime_ = 0
od_int64 | starttime_ = 0

## Friends
class | JobRunner

## Detailed Description

All information on a job.

<>

## Member Enumeration Documentation

## ◆ State

enum JobInfo::State

Enumerator
ToDo |
Scheduled |
Preparing |
Working |
WrappingUp |
Paused |
Completed |
JobFailed |
HostFailed |

## Constructor & Destructor Documentation

## ◆ JobInfo()

JobInfo::JobInfo | ( | int | dnr | ) |

## ◆ ~JobInfo()

JobInfo::~JobInfo | ( |  | ) |

## Friends And Related Symbol Documentation

## ◆ JobRunner

friend class JobRunner
| friend

## Member Data Documentation

## ◆ descnr_

int JobInfo::descnr_

JobdescProv's job number.

## ◆ hostdata_

const HostData* JobInfo::hostdata_ = nullptr

Host currently working on job.

## ◆ hstfailures_

int JobInfo::hstfailures_ = 0

Failures probably caused by host.

## ◆ infomsg_

BufferString JobInfo::infomsg_

Error msg if failure.

## ◆ jobfailures_

int JobInfo::jobfailures_ = 0

Failures probably caused by job.

## ◆ nrdone_

int JobInfo::nrdone_ = -1

## ◆ osprocid_

int JobInfo::osprocid_ = -1

OS process ID.

## ◆ recvtime_

od_int64 JobInfo::recvtime_ = 0
| protected

## ◆ starttime_

od_int64 JobInfo::starttime_ = 0
| protected

## ◆ state_

State JobInfo::state_ = ToDo

## ◆ statusmsg_

BufferString JobInfo::statusmsg_ = "Scheduled"

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025